{{ $arg := .Get 0 }}
{{ $dataFile := index .Site.Data $arg }}
{{ $timeSlotFile := index .Site.Data "timeslots" }}

{{ $.Scratch.Set "lectureIndex" 0 }}
<div class="table-responsive">
    <table class="table table-hover text-center">
        <thead class="align-middle">
            <tr>
                <th>{{ index $dataFile "title" | safeHTML }}</th>
                <th>Montag</th>
                <th>Dienstag</th>
                <th>Mittwoch</th>
                <th>Donnerstag</th>
                <th>Freitag</th>
            </tr>
        </thead>
        <tbody class="table-group-divider align-middle">
            {{ range $timeslot := (index $timeSlotFile "timeslots") }}
                <tr>
                    {{ if eq "" . }}
                        <td colspan="6" class="pt-4 pb-4"><b>Pause</b></td>
                    {{ else }}
                        <td><b>{{ . | safeHTML}}</b></td>
                        <td>
                            {{ $lecture := index (index $dataFile "monday") ($.Scratch.Get "lectureIndex") }}
                            <a href='{{ index $lecture "url" }}'>{{ index $lecture "name" }}</a><br/>
                            <span>{{ index $lecture "type" }}</span><br/>
                            <span>{{ index $lecture "lecturer" }}</span><br/>
                            <span>{{ index $lecture "lecturehall" }}</span>
                        </td>
                        <td>
                            {{ $lecture := index (index $dataFile "tuesday") ($.Scratch.Get "lectureIndex") }}
                            <a href='{{ index $lecture "url" }}'>{{ index $lecture "name" }}</a><br/>
                            <span>{{ index $lecture "type" }}</span><br/>
                            <span>{{ index $lecture "lecturer" }}</span><br/>
                            <span>{{ index $lecture "lecturehall" }}</span>
                        </td>
                        <td>
                            {{ $lecture := index (index $dataFile "wednesday") ($.Scratch.Get "lectureIndex") }}
                            <a href='{{ index $lecture "url" }}'>{{ index $lecture "name" }}</a><br/>
                            <span>{{ index $lecture "type" }}</span><br/>
                            <span>{{ index $lecture "lecturer" }}</span><br/>
                            <span>{{ index $lecture "lecturehall" }}</span>
                        </td>
                        <td>
                            {{ $lecture := index (index $dataFile "thursday") ($.Scratch.Get "lectureIndex") }}
                            <a href='{{ index $lecture "url" }}'>{{ index $lecture "name" }}</a><br/>
                            <span>{{ index $lecture "type" }}</span><br/>
                            <span>{{ index $lecture "lecturer" }}</span><br/>
                            <span>{{ index $lecture "lecturehall" }}</span>
                        </td>
                        <td>
                            {{ $lecture := index (index $dataFile "friday") ($.Scratch.Get "lectureIndex") }}
                            <a href='{{ index $lecture "url" }}'>{{ index $lecture "name" }}</a><br/>
                            <span>{{ index $lecture "type" }}</span><br/>
                            <span>{{ index $lecture "lecturer" }}</span><br/>
                            <span>{{ index $lecture "lecturehall" }}</span>
                        </td>
                        {{ $.Scratch.Add "lectureIndex" 1 }}
                    {{ end }}
                </tr>
            {{ end }}
        </tbody>
    </table>
</div>